post
https://sandbox.saner.secpod.com/AncorWebService/perform
Assign a NORMAL or ACCOUNTADMIN user to an account.
This method allows you to assign a NORMAL or ACCOUNTADMIN user to an account in Saner Server. Users will be assigned to respective organizations based on their account. Organization admin cannot be assigned to an account, if tried, error response is returned. It requires user Id and account name.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| user | User ID to be assigned to an account. | Yes | string |
| account | Account name to which the user should be assigned. | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Account.assignUser(
user="[email protected]",
account="DemoAcc"
)
print(response)
client.close()Requires Python 3.9 or later.